The Vigil@nce team watches public vulnerabilities impacting your computers, and then offers security solutions, a vigilance database and tools to fix them.

Vulnerability of hivex: buffer overflow

Synthesis of the vulnerability 

An attacker can trigger a buffer overflow of hivex, in order to trigger a denial of service, and possibly to run code.
Vulnerable systems: Debian, Fedora, openSUSE Leap, RHEL, SUSE Linux Enterprise Desktop, SLES.
Severity of this threat: 1/4.
Creation date: 11/05/2021.
Références of this weakness: CVE-2021-3504, DLA-2656-1, DSA-4913-1, FEDORA-2021-b71cc4df92, FEDORA-2021-da76643229, openSUSE-SU-2021:0806-1, RHSA-2021:2318-01, SUSE-SU-2021:1760-1, SUSE-SU-2021:1761-1, VIGILANCE-VUL-35300.

Description of the vulnerability 

An attacker can trigger a buffer overflow of hivex, in order to trigger a denial of service, and possibly to run code.
Full bulletin, software filtering, emails, fixes, ... (Request your free trial)

This cybersecurity note impacts software or systems such as Debian, Fedora, openSUSE Leap, RHEL, SUSE Linux Enterprise Desktop, SLES.

Our Vigil@nce team determined that the severity of this computer weakness announce is low.

The trust level is of type confirmed by the editor, with an origin of document.

An attacker with a expert ability can exploit this cybersecurity vulnerability.

Solutions for this threat 

Debian 10: new hivex packages.
New packages are available:
  Debian 10: hivex 1.3.18-1+deb10u1

Debian 9: new hivex packages.
New packages are available:
  Debian 9: hivex 1.3.13-2+deb9u1

Fedora 33-34: new hivex packages.
New packages are available:
  Fedora 33: hivex 1.3.20-1.fc33
  Fedora 34: hivex 1.3.20-1.fc34

openSUSE Leap 15.2: new hivex packages.
New packages are available:
  openSUSE Leap 15.2: hivex 1.3.14-lp152.4.3.1

RHEL 7.9: new hivex packages.
New packages are available:
  RHEL 7.9: hivex 1.3.10-6.11.el7_9

SUSE LE 12 SP5: new hivex packages.
New packages are available:
  SUSE LE 12 SP5: hivex 1.3.10-5.3.1

SUSE LE 15 SP2-3: new hivex packages.
New packages are available:
  SUSE LE 15 SP2: hivex 1.3.14-5.3.1
  SUSE LE 15 SP3: hivex 1.3.14-5.3.1
Full bulletin, software filtering, emails, fixes, ... (Request your free trial)

Computer vulnerabilities tracking service 

Vigil@nce provides applications vulnerabilities alerts. The Vigil@nce vulnerability database contains several thousand vulnerabilities.